// ComNewLogic.cpp : Implementation of CComNewLogic
#include "stdafx.h"
#include "ComNew.h"
#include "ComNewLogic.h"

/////////////////////////////////////////////////////////////////////////////
// CComNewLogic

HRESULT CComNewLogic::Activate()
{
	HRESULT hr = GetObjectContext(&m_spObjectContext);
	if (SUCCEEDED(hr))
		return S_OK;
	return hr;
} 

BOOL CComNewLogic::CanBePooled()
{
	return TRUE;
} 

void CComNewLogic::Deactivate()
{
	m_spObjectContext.Release();
} 


STDMETHODIMP CComNewLogic::MyTestMethod(VARIANT *pvIN, VARIANT *pvOUT)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState())

	// TODO: Add your implementation code here
	
	// move input data to sIN
	CString sIN = pvIN->bstrVal;

	// set sOut data, say hello to input data
	CString sOut;
	sOut.Format("Hello to %s", sIN);

	// initialize output parameter
	VariantClear(pvOUT);
	VariantInit(pvOUT);

	// set output parameter type and data
	pvOUT->vt = VT_BSTR;
	pvOUT->bstrVal = sOut.AllocSysString();

	return S_OK;
}
