// ComNewLogic.h : Declaration of the CComNewLogic

#ifndef __COMNEWLOGIC_H_
#define __COMNEWLOGIC_H_

#include "resource.h"       // main symbols
#include <mtx.h>

/////////////////////////////////////////////////////////////////////////////
// CComNewLogic
class ATL_NO_VTABLE CComNewLogic : 
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CComNewLogic, &CLSID_ComNewLogic>,
	public IObjectControl,
	public IDispatchImpl<IComNewLogic, &IID_IComNewLogic, &LIBID_COMNEWLib>
{
public:
	CComNewLogic()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_COMNEWLOGIC)

DECLARE_PROTECT_FINAL_CONSTRUCT()

//DECLARE_NOT_AGGREGATABLE(CComNewLogic)

BEGIN_COM_MAP(CComNewLogic)
	COM_INTERFACE_ENTRY(IComNewLogic)
	COM_INTERFACE_ENTRY(IObjectControl)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IObjectControl
public:
	STDMETHOD(Activate)();
	STDMETHOD_(BOOL, CanBePooled)();
	STDMETHOD_(void, Deactivate)();

	CComPtr<IObjectContext> m_spObjectContext;

// IComNewLogic
public:
	STDMETHOD(MyTestMethod)(/*[in]*/VARIANT *pvIN, /*[out]*/VARIANT *pvOUT);
};

#endif //__COMNEWLOGIC_H_
